%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           wordxtr
Version:        0.1.0
Release:        5%{?dist}
Summary:        Create hunspell dictionary from given plain text input data files

Group:          Development/Languages
License:        GPLv2+
URL:            https://fedorahosted.org/wordxtr
Source0:        https://fedorahosted.org/releases/w/o/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
## we need wordlist2hunspell which is provided by hunspell-devel
Requires:       hunspell-devel


%description
This package will help you to create hunspell dictionary for given 
input language and plain text unicode data files.

%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING
%{_bindir}/wordxtr
%{python_sitelib}/*

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 07 2009 Parag Nemade <paragn@fedoraproject.org> 0.1.0-1
- Update to next upstream release.

* Wed Dec 24 2008 Parag Nemade <paragn@fedoraproject.org> 0.0.1-1
- Initial release

